SDL-0.6.5: Binding to libSDL

Copyright | (c) David Himmelstrup 2005
License | BSD-like
Maintainer | lemmih@gmail.com
Stability | provisional
Portability | portable
Safe Haskell | None
Language | Haskell98

Graphics.UI.SDL.Types

Description

# Documentation

data SurfaceStruct Source

type Surface = ForeignPtr SurfaceStruct Source

data VideoInfoStruct Source

type VideoInfo = ForeignPtr VideoInfoStruct Source

data RWopsStruct Source

type RWops = ForeignPtr RWopsStruct Source

data PixelFormatStruct Source

type PixelFormat = ForeignPtr PixelFormatStruct Source

data JoystickStruct Source

type Joystick = ForeignPtr JoystickStruct Source

data Hat Source

Constructors

HatCentered |
HatUp |
HatRight |
HatDown |
HatLeft |
HatRightUp |
HatRightDown |
HatLeftUp |
HatLeftDown |

Instances

Bounded Hat Source |
Eq Hat Source |
Ord Hat Source |
Show Hat Source |
Enum Hat Word8 Source |

data TimerIDStruct Source

data SurfaceFlag Source

Constructors

SWSurface |
HWSurface |
OpenGL |
ASyncBlit |
OpenGLBlit |
Resizable |
NoFrame |
HWAccel |
SrcColorKey |
RLEAccel |
SrcAlpha |
PreAlloc |
AnyFormat |
HWPalette |
DoubleBuf |
Fullscreen |

Instances

Bounded SurfaceFlag Source |
Eq SurfaceFlag Source |
Ord SurfaceFlag Source |
Read SurfaceFlag Source |
Show SurfaceFlag Source |
Enum SurfaceFlag Word32 Source |

surfaceGetPixelFormat :: Surface -> PixelFormat Source

surfaceGetWidth :: Surface -> Int Source

surfaceGetHeight :: Surface -> Int Source

surfaceGetFlags :: Surface -> IO [SurfaceFlag] Source

surfaceGetPitch :: Surface -> Word16 Source

surfaceGetPixels :: Surface -> IO Pixels Source

pixelFormatGetAlpha :: PixelFormat -> IO Word8 Source

pixelFormatGetColorKey :: PixelFormat -> IO Pixel Source

pixelFormatGetBitsPerPixel :: PixelFormat -> IO Word8 Source

pixelFormatGetBytesPerPixel :: PixelFormat -> IO Word8 Source

videoInfoWidth :: VideoInfo -> Int Source

videoInfoHeight :: VideoInfo -> Int Source